#ifndef __NRF_VT_CONSTANTS_H_
#define __NRF_VT_CONSTANTS_H_

#include "sdk_config.h"

#if defined(NRF_VT_ENABLED) && NRF_VT_ENABLED

#ifdef NRF_VT_FRONTEND

#if NRF_VT_FRONTEND == 0  // UART frontend configuration

#define _VT_START_BIT_VALUE     (0)
#define _VT_START_BITS          (1)
#define _VT_STOP_BIT_VALUE      (1)
#define _VT_STOP_BITS           (1)
#define _VT_END_DELAY           (1)
#define _VT_DEFAULT_LINE_VALUE  (1)
#define _VT_LSBIT_FIRST         (1)

#else
#error "Frontend not supported"
#endif

#else

// Manual configuration

#ifdef NRF_VT_START_BIT_VALUE
#define _VT_START_BIT_VALUE     (NRF_VT_START_BIT_VALUE)
#else
#error "No start bit value set"
#endif

#ifdef NRF_VT_START_BITS
#define _VT_START_BITS          (NRF_VT_START_BITS)
#else
#error "No start bit count set"
#endif

#ifdef NRF_VT_STOP_BIT_VALUE
#define _VT_STOP_BIT_VALUE      (NRF_VT_STOP_BIT_VALUE)
#else
#error "No stop bit value set"
#endif

#ifdef NRF_VT_STOP_BITS
#define _VT_STOP_BITS           (NRF_VT_STOP_BITS)
#else
#error "No stop bit count set"
#endif

#ifdef NRF_VT_END_DELAY
#define _VT_END_DELAY           (NRF_VT_END_DELAY)
#else
#error "No end delay set"
#endif

#ifdef NRF_VT_DEFAULT_LINE_VALUE
#define _VT_DEFAULT_LINE_VALUE  (NRF_VT_DEFAULT_LINE_VALUE)
#else
#error "No default line value set"
#endif

#ifdef NRF_VT_LSBIT_FIRST
#define _VT_LSBIT_FIRST         (NRF_VT_LSBIT_FIRST)
#else
#error "LSBIT / MSBIT not configured"
#endif


#endif // NRF_VT_FRONTEND

#endif // defined(NRF_VT_ENABLED) && NRF_VT_ENABLED

#endif //__NRF_VT_CONSTANTS_H_